#
# Please see the COPYRIGHT_and_DISCLAIMER file in the top level
# directory of the distribution regarding the provisions under
# which this software is distributed.
#
package debug;

$DebugLevel = 0;
$DebugHandle = "STDOUT";

sub print
{
    local($dlevel) = 1;
    $dlevel = shift(@_) if $_[0] =~ /^\d+$/;
    
    if ($dlevel <= $DebugLevel)
    {
	print $DebugHandle @_;
    }
}

sub setLevel
{
    $DebugLevel = $_[0];
}

1;
