/*
 * Please see the COPYRIGHT_and_DISCLAIMER file in the top level
 * directory of the distribution regarding the provisions under
 * which this software is distributed.
 */

/*
 * Defines for the Fortran entry points to the runtime.
 */

#ifdef FM_NEED_TRAILING_UNDERSCORES

#define FM_INIT fm_init_
#define FM_SHUTDOWN fm_shutdown_
#define FM_SET_VC_SIZE fm_set_vc_size_

#define FM_SETUP_PROCBLOCK fm_setup_procblock_
#define FM_RESET_PROCBLOCK fm_reset_procblock_
#define FM_INVALIDATE_PORTS fm_invalidate_ports_
#define FM_END_PROCBLOCK fm_end_procblock_

#define FM_ENTER_SAFE_REGION fm_enter_safe_region_
#define FM_EXIT_SAFE_REGION fm_exit_safe_region_

#define FM_INIT_INPORT fm_init_inport_
#define FM_INIT_OUTPORT fm_init_outport_
#define FM_INIT_INPORT_DEBUG fm_init_inport_debug_
#define FM_INIT_OUTPORT_DEBUG fm_init_outport_debug_
#define FM_CHANNEL fm_channel_
#define FM_CHANNEL_ECHK fm_channel_echk_

#define FM_PROBE fm_probe_

#define FM_MERGER_SETUP fm_merger_setup_
#define FM_MERGER_ADD fm_merger_add_
#define FM_MERGER_DONE fm_merger_done_

#define FM_CLOSE_PORT fm_close_port_
#define FM_CLOSE_PORT_ECHK fm_close_port_echk_

#define FM_MOVE_OUTPORT fm_move_outport_
#define FM_MOVE_INPORT fm_move_inport_

#define FM_DUMP_PORT_INDEX fm_dump_port_index_

#define FM_PAUSE fm_pause_

#else /* FM_NEED_TRAILING_UNDERSCORES */

#ifndef FM_NEED_UPPERCASE

#define FM_INIT fm_init
#define FM_SHUTDOWN fm_shutdown
#define FM_SET_VC_SIZE fm_set_vc_size

#define FM_SETUP_PROCBLOCK fm_setup_procblock
#define FM_RESET_PROCBLOCK fm_reset_procblock
#define FM_INVALIDATE_PORTS fm_invalidate_ports
#define FM_END_PROCBLOCK fm_end_procblock

#define FM_ENTER_SAFE_REGION fm_enter_safe_region
#define FM_EXIT_SAFE_REGION fm_exit_safe_region

#define FM_INIT_INPORT fm_init_inport
#define FM_INIT_OUTPORT fm_init_outport
#define FM_INIT_INPORT_DEBUG fm_init_inport_debug
#define FM_INIT_OUTPORT_DEBUG fm_init_outport_debug
#define FM_CHANNEL fm_channel
#define FM_CHANNEL_ECHK fm_channel_echk

#define FM_PROBE fm_probe

#define FM_MERGER_SETUP fm_merger_setup
#define FM_MERGER_ADD fm_merger_add
#define FM_MERGER_DONE fm_merger_done

#define FM_CLOSE_PORT fm_close_port
#define FM_CLOSE_PORT_ECHK fm_close_port_echk

#define FM_MOVE_OUTPORT fm_move_outport
#define FM_MOVE_INPORT fm_move_inport

#define FM_DUMP_PORT_INDEX fm_dump_port_index

#define FM_PAUSE fm_pause

#endif /* !FM_NEED_UPPERCASE */

#endif /* FM_NEED_TRAILING_UNDERSCORES */
