#ifdef sgi
#include <alloca.h>
#endif

/*  A Bison parser, made from gram.y  */

#define YYBISON 1  /* Identify Bison output.  */

#define	IN_PORT	258
#define	OUT_PORT	259
#define	INTENT_IN	260
#define	INTENT_OUT	261
#define	INTENT_INOUT	262
#define	INTEGER	263
#define	REAL	264
#define	BYTE	265
#define	LOGICAL	266
#define	CHARACTER	267
#define	DOUBLE	268
#define	COMPLEX	269
#define	PRECISION	270
#define	EXTERNAL	271
#define	INTRINSIC	272
#define	STARSTAR	273
#define	SLASHSLASH	274
#define	INTEGER_VAL	275
#define	ID	276
#define	STRING_VAL	277
#define	SP_REAL_VAL	278
#define	DP_REAL_VAL	279
#define	CALL	280
#define	IF	281
#define	THEN	282
#define	ELSE	283
#define	ENDIF	284
#define	ENDDO	285
#define	FUNCTION	286
#define	PROGRAM	287
#define	SUBROUTINE	288
#define	PROCESS	289
#define	PROCESSES	290
#define	END_PROCESSES	291
#define	PROCESS_DO	292
#define	END_CHANNEL	293
#define	END_PROCESS_DO	294
#define	CHANNEL	295
#define	MERGER	296
#define	SEND	297
#define	RECV	298
#define	LOCATION	299
#define	SUBMACHINE	300
#define	REL_LT	301
#define	REL_LE	302
#define	REL_GT	303
#define	REL_GE	304
#define	REL_EQ	305
#define	REL_NE	306
#define	LOG_TRUE	307
#define	LOG_FALSE	308
#define	REL_NOT	309
#define	LOG_AND	310
#define	LOG_OR	311
#define	LOG_EQV	312
#define	LOG_NEQV	313
#define	IMPLICIT	314
#define	PARAMETER	315
#define	COMMON	316
#define	DIMENSION	317
#define	EOL	318
#define	INCLUDE	319
#define	PROBE	320
#define	MOVE_PORT	321
#define	PROCESSORS	322
#define	UMINUS	323

#line 103 "gram.y"

#include "symbol_redefines.h"

extern void yyerror();
extern int yylex();



#ifdef NeXT
#include <libc.h>
#endif

#include "tree.h"
#include "prim.h"

#ifndef NULL
#define NULL (void *) 0
#endif

extern tree_node *parse_tree;
extern int parse_type;

extern int allow_plain_common;

int current_control_type;

extern tree_node *gen_control_pair();
extern tree_node *grok_control_list();

#line 133 "gram.y"
typedef union{
    tree_node *t;
    enum prim p;
    enum constant c;
    int i;
} YYSTYPE;

#ifndef YYLTYPE
typedef
  struct yyltype
    {
      int timestamp;
      int first_line;
      int first_column;
      int last_line;
      int last_column;
      char *text;
   }
  yyltype;

#define YYLTYPE yyltype
#endif

#include <stdio.h>

#ifndef __STDC__
#define const
#endif



#define	YYFINAL		437
#define	YYFLAG		-32768
#define	YYNTBASE	78

#define YYTRANSLATE(x) ((unsigned)(x) <= 323 ? yytranslate[x] : 172)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,    73,
    74,    70,    68,    76,    69,     2,    71,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,    77,     2,     2,
    75,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     2,     3,     4,     5,
     6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
    16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
    26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
    36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
    46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
    56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
    66,    67,    72
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     1,     4,     7,    10,    12,    14,    16,    19,    21,
    23,    27,    32,    36,    40,    44,    45,    48,    49,    51,
    54,    56,    58,    60,    62,    64,    65,    71,    72,    78,
    79,    85,    87,    89,    97,   106,   108,   110,   112,   114,
   116,   118,   119,   122,   123,   129,   130,   136,   137,   144,
   145,   152,   154,   156,   160,   162,   164,   166,   170,   174,
   178,   184,   191,   193,   195,   197,   199,   204,   211,   219,
   226,   232,   236,   238,   239,   244,   249,   250,   255,   260,
   262,   266,   268,   271,   273,   275,   277,   279,   281,   285,
   287,   295,   297,   299,   303,   307,   309,   313,   319,   324,
   326,   330,   332,   333,   335,   337,   339,   341,   343,   345,
   347,   349,   353,   357,   361,   365,   369,   373,   377,   381,
   385,   389,   393,   397,   401,   405,   409,   413,   417,   420,
   423,   426,   429,   432,   438,   440,   442,   444,   446,   448,
   450,   452,   454,   456,   458,   461,   464,   466,   470,   475,
   481,   483,   487,   489,   493,   494,   500,   502,   506,   510,
   513,   516,   517,   519,   524,   528,   529,   532,   535,   537,
   541,   546,   549,   552,   555,   557,   559,   561,   565,   571,
   577,   579,   581,   583,   585,   588,   590,   593,   595,   596,
   599,   600,   604,   606,   610,   613,   619,   623,   629,   633,
   634,   635,   636,   638,   641,   643,   646,   648,   652,   656,
   660,   664,   669,   671,   675,   677,   679,   681,   685,   687,
   691,   693,   696,   699,   703,   707,   711,   715,   719,   721,
   723,   725,   729,   731,   733,   738,   740,   744,   746
};

#endif

static const short yyrhs[] = {    -1,
    79,    80,     0,    81,    63,     0,     1,    63,     0,   128,
     0,    86,     0,    83,     0,    64,    82,     0,    21,     0,
    22,     0,    32,    21,    84,     0,    85,    31,    21,    84,
     0,    33,    21,    84,     0,    34,    21,    84,     0,    73,
   171,    74,     0,     0,    73,    74,     0,     0,   149,     0,
    12,   151,     0,    91,     0,    93,     0,    95,     0,    97,
     0,   109,     0,     0,    38,    73,    87,    99,    74,     0,
     0,    65,    73,    88,    99,    74,     0,     0,    66,    73,
    89,    99,    74,     0,    35,     0,    36,     0,    37,    21,
    75,   125,    76,   125,    90,     0,    37,    20,    21,    75,
   125,    76,   125,    90,     0,   103,     0,   104,     0,   105,
     0,   106,     0,   107,     0,   108,     0,     0,    76,   125,
     0,     0,    40,    73,    92,    99,    74,     0,     0,    41,
    73,    94,    99,    74,     0,     0,    42,    73,    96,    99,
    74,   113,     0,     0,    43,    73,    98,    99,    74,   117,
     0,   100,     0,   101,     0,   100,    76,   101,     0,   115,
     0,   102,     0,   119,     0,    21,    75,   115,     0,    21,
    75,    20,     0,    21,    75,   119,     0,    26,    73,   125,
    74,    27,     0,    28,    26,    73,   125,    74,    27,     0,
    28,     0,    29,     0,    30,     0,    39,     0,    34,    25,
    21,   111,     0,    34,    25,    21,    73,    74,   111,     0,
    34,    25,    21,    73,   113,    74,   111,     0,   110,    21,
    73,   113,    74,   112,     0,   110,    21,    73,    74,   112,
     0,   110,    21,   112,     0,    25,     0,     0,    44,    73,
   118,    74,     0,    45,    73,   118,    74,     0,     0,    44,
    73,   118,    74,     0,    45,    73,   118,    74,     0,   114,
     0,   113,    76,   114,     0,   125,     0,    70,    20,     0,
    21,     0,   122,     0,    21,     0,   122,     0,   116,     0,
   117,    76,   116,     0,   123,     0,    73,   120,    76,    21,
    75,   121,    74,     0,   122,     0,   119,     0,   120,    76,
   122,     0,   120,    76,   119,     0,   125,     0,   125,    76,
   125,     0,   125,    76,   125,    76,   125,     0,    21,    73,
   123,    74,     0,   125,     0,   123,    76,   125,     0,   125,
     0,     0,    21,     0,    20,     0,    22,     0,    23,     0,
    24,     0,   126,     0,   168,     0,   122,     0,    73,   125,
    74,     0,   125,    68,   125,     0,   125,    69,   125,     0,
   125,    70,   125,     0,   125,    71,   125,     0,   125,    18,
   125,     0,   125,    19,   125,     0,   125,    46,   125,     0,
   125,    47,   125,     0,   125,    48,   125,     0,   125,    49,
   125,     0,   125,    51,   125,     0,   125,    50,   125,     0,
   125,    55,   125,     0,   125,    56,   125,     0,   125,    57,
   125,     0,   125,    58,   125,     0,    54,   125,     0,    68,
   125,     0,    69,   125,     0,    21,   127,     0,   122,   127,
     0,    73,   124,    77,   124,    74,     0,   153,     0,   160,
     0,   161,     0,   129,     0,   134,     0,   146,     0,   138,
     0,   141,     0,   139,     0,   145,     0,    59,   130,     0,
    59,    21,     0,   131,     0,   130,    76,   131,     0,   149,
    73,   132,    74,     0,    12,   151,    73,   132,    74,     0,
   133,     0,   132,    76,   133,     0,    21,     0,    21,    69,
    21,     0,     0,    60,   135,    73,   136,    74,     0,   137,
     0,   136,    76,   137,     0,    21,    75,   125,     0,    62,
   170,     0,    17,   171,     0,     0,    34,     0,   140,    61,
   162,   142,     0,   140,    61,   144,     0,     0,   150,   144,
     0,    71,    71,     0,    19,     0,    71,    21,    71,     0,
   143,   162,   150,   144,     0,   143,   162,     0,    16,   171,
     0,   147,   162,     0,   149,     0,   148,     0,    12,     0,
    12,    70,    20,     0,    12,    70,    73,    70,    74,     0,
    12,    70,    73,   125,    74,     0,     8,     0,     9,     0,
    10,     0,    11,     0,    13,    15,     0,    14,     0,    13,
    14,     0,    76,     0,     0,    70,   152,     0,     0,    73,
    70,    74,     0,    20,     0,    73,   125,    74,     0,   154,
   162,     0,     3,   155,    73,   159,    74,     0,     3,   155,
   147,     0,     4,   156,    73,   159,    74,     0,     4,   156,
   147,     0,     0,     0,     0,   147,     0,   147,   163,     0,
   154,     0,   154,   163,     0,   158,     0,   159,    76,   158,
     0,     5,   157,   162,     0,     6,   157,   162,     0,     7,
   157,   162,     0,    67,    73,   164,    74,     0,   163,     0,
   162,    76,   163,     0,    21,     0,   169,     0,   165,     0,
   164,    76,   165,     0,   166,     0,   166,    77,   166,     0,
   167,     0,    68,   167,     0,    69,   167,     0,   166,    68,
   166,     0,   166,    69,   166,     0,   166,    70,   166,     0,
   166,    71,   166,     0,   166,    18,   166,     0,    70,     0,
    20,     0,    21,     0,    73,   166,    74,     0,    52,     0,
    53,     0,    21,    73,   164,    74,     0,   169,     0,   170,
    76,   169,     0,    21,     0,   171,    76,    21,     0
};

#if YYDEBUG != 0
static const short yyrline[] = { 0,
   142,   144,   144,   145,   152,   157,   162,   167,   174,   175,
   178,   182,   186,   190,   196,   200,   204,   210,   214,   215,
   218,   219,   220,   221,   222,   223,   225,   229,   231,   235,
   237,   241,   245,   249,   253,   258,   259,   260,   261,   262,
   263,   266,   270,   276,   278,   284,   286,   292,   294,   300,
   302,   308,   314,   318,   324,   325,   326,   329,   333,   337,
   343,   349,   355,   361,   366,   371,   376,   384,   392,   400,
   408,   416,   426,   432,   436,   440,   446,   447,   452,   459,
   463,   469,   470,   477,   478,   497,   498,   501,   505,   511,
   514,   522,   526,   530,   534,   540,   544,   548,   554,   561,
   565,   571,   572,   578,   579,   580,   584,   585,   586,   587,
   588,   589,   595,   601,   607,   613,   619,   625,   631,   637,
   643,   649,   655,   661,   667,   673,   679,   685,   691,   697,
   703,   711,   715,   721,   727,   728,   729,   730,   731,   732,
   733,   734,   735,   736,   739,   743,   760,   764,   770,   774,
   784,   788,   794,   803,   816,   819,   825,   829,   835,   841,
   847,   853,   857,   863,   886,   907,   911,   917,   921,   925,
   931,   938,   945,   951,   957,   958,   961,   966,   973,   977,
   986,   991,   996,  1001,  1006,  1011,  1016,  1023,  1024,  1042,
  1046,  1052,  1056,  1057,  1063,  1070,  1074,  1079,  1083,  1090,
  1096,  1102,  1108,  1109,  1113,  1114,  1120,  1124,  1130,  1136,
  1142,  1150,  1157,  1161,  1167,  1171,  1183,  1187,  1193,  1194,
  1200,  1201,  1207,  1213,  1219,  1225,  1231,  1237,  1243,  1249,
  1250,  1251,  1258,  1263,  1270,  1279,  1283,  1289,  1293
};

static const char * const yytname[] = {   "$","error","$illegal.","IN_PORT",
"OUT_PORT","INTENT_IN","INTENT_OUT","INTENT_INOUT","INTEGER","REAL","BYTE","LOGICAL",
"CHARACTER","DOUBLE","COMPLEX","PRECISION","EXTERNAL","INTRINSIC","STARSTAR",
"SLASHSLASH","INTEGER_VAL","ID","STRING_VAL","SP_REAL_VAL","DP_REAL_VAL","CALL",
"IF","THEN","ELSE","ENDIF","ENDDO","FUNCTION","PROGRAM","SUBROUTINE","PROCESS",
"PROCESSES","END_PROCESSES","PROCESS_DO","END_CHANNEL","END_PROCESS_DO","CHANNEL",
"MERGER","SEND","RECV","LOCATION","SUBMACHINE","REL_LT","REL_LE","REL_GT","REL_GE",
"REL_EQ","REL_NE","LOG_TRUE","LOG_FALSE","REL_NOT","LOG_AND","LOG_OR","LOG_EQV",
"LOG_NEQV","IMPLICIT","PARAMETER","COMMON","DIMENSION","EOL","INCLUDE","PROBE",
"MOVE_PORT","PROCESSORS","'+'","'-'","'*'","'/'","UMINUS","'('","')'","'='",
"','","':'","line","@1","line_guts","item","include_file","subprogram_stmt",
"subprogram_args","function_type","executable","@2","@3","@4","opt_step","channel_stmt",
"@5","merger_stmt","@6","send_stmt","@7","recv_stmt","@8","control_list","control_list_guts",
"control_item","control_pair","block_if_stmt","else_if_stmt","else_stmt","end_if_stmt",
"end_do_stmt","end_processdo_stmt","call_stmt","call_head","annotation","error_annotation",
"call_args","call_arg","port_name","variable","variable_list","indices","data_implied_do_list",
"didl_1","didl_range","array_element_name","expr_list","opt_expr","expr","substring_name",
"substring_args","declaration","implicit_decl","implicit_guts","implicit_gut",
"implicit_letters","implicit_letter","parameter_stmt","@9","parameter_decls",
"parameter_decl","dimension_stmt","intrinsic_stmt","opt_process","common_stmt",
"opt_common_guts","common_name","common_guts","external_stmt","type_stmt","fortran_data_type",
"character_type","numeric_type","opt_comma","opt_len_specification","len_specification",
"port_declaration","port_decl_head","commit_inport","commit_outport","commit_intent",
"data_type","data_type_list","intent_declaration","machine_declaration","name_list",
"name","bounds","bounds_elt","dim_bound_expr","dim_bound_const","logical_constant",
"array_declarator","array_declarator_list","id_list",""
};
#endif

static const short yyr1[] = {     0,
    79,    78,    80,    80,    81,    81,    81,    81,    82,    82,
    83,    83,    83,    83,    84,    84,    84,    85,    85,    85,
    86,    86,    86,    86,    86,    87,    86,    88,    86,    89,
    86,    86,    86,    86,    86,    86,    86,    86,    86,    86,
    86,    90,    90,    92,    91,    94,    93,    96,    95,    98,
    97,    99,   100,   100,   101,   101,   101,   102,   102,   102,
   103,   104,   105,   106,   107,   108,   109,   109,   109,   109,
   109,   109,   110,   111,   111,   111,   112,   112,   112,   113,
   113,   114,   114,   115,   115,   116,   116,   117,   117,   118,
   119,   120,   120,   120,   120,   121,   121,   121,   122,   123,
   123,   124,   124,   125,   125,   125,   125,   125,   125,   125,
   125,   125,   125,   125,   125,   125,   125,   125,   125,   125,
   125,   125,   125,   125,   125,   125,   125,   125,   125,   125,
   125,   126,   126,   127,   128,   128,   128,   128,   128,   128,
   128,   128,   128,   128,   129,   129,   130,   130,   131,   131,
   132,   132,   133,   133,   135,   134,   136,   136,   137,   138,
   139,   140,   140,   141,   141,   142,   142,   143,   143,   143,
   144,   144,   145,   146,   147,   147,   148,   148,   148,   148,
   149,   149,   149,   149,   149,   149,   149,   150,   150,   151,
   151,   152,   152,   152,   153,   154,   154,   154,   154,   155,
   156,   157,   158,   158,   158,   158,   159,   159,   160,   160,
   160,   161,   162,   162,   163,   163,   164,   164,   165,   165,
   166,   166,   166,   166,   166,   166,   166,   166,   166,   167,
   167,   167,   168,   168,   169,   170,   170,   171,   171
};

static const short yyr2[] = {     0,
     0,     2,     2,     2,     1,     1,     1,     2,     1,     1,
     3,     4,     3,     3,     3,     0,     2,     0,     1,     2,
     1,     1,     1,     1,     1,     0,     5,     0,     5,     0,
     5,     1,     1,     7,     8,     1,     1,     1,     1,     1,
     1,     0,     2,     0,     5,     0,     5,     0,     6,     0,
     6,     1,     1,     3,     1,     1,     1,     3,     3,     3,
     5,     6,     1,     1,     1,     1,     4,     6,     7,     6,
     5,     3,     1,     0,     4,     4,     0,     4,     4,     1,
     3,     1,     2,     1,     1,     1,     1,     1,     3,     1,
     7,     1,     1,     3,     3,     1,     3,     5,     4,     1,
     3,     1,     0,     1,     1,     1,     1,     1,     1,     1,
     1,     3,     3,     3,     3,     3,     3,     3,     3,     3,
     3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
     2,     2,     2,     5,     1,     1,     1,     1,     1,     1,
     1,     1,     1,     1,     2,     2,     1,     3,     4,     5,
     1,     3,     1,     3,     0,     5,     1,     3,     3,     2,
     2,     0,     1,     4,     3,     0,     2,     2,     1,     3,
     4,     2,     2,     2,     1,     1,     1,     3,     5,     5,
     1,     1,     1,     1,     2,     1,     2,     1,     0,     2,
     0,     3,     1,     3,     2,     5,     3,     5,     3,     0,
     0,     0,     1,     2,     1,     2,     1,     3,     3,     3,
     3,     4,     1,     3,     1,     1,     1,     3,     1,     3,
     1,     2,     2,     3,     3,     3,     3,     3,     1,     1,
     1,     3,     1,     1,     4,     1,     3,     1,     3
};

static const short yydefact[] = {     1,
     0,     0,   200,   201,   202,   202,   202,   181,   182,   183,
   184,   177,     0,   186,     0,     0,    73,     0,    63,    64,
    65,     0,     0,   163,    32,    33,     0,     0,    66,     0,
     0,     0,     0,     0,   155,     0,     0,     0,     0,     0,
     2,     0,     7,     0,     6,    21,    22,    23,    24,    36,
    37,    38,    39,    40,    41,    25,     0,     5,   138,   139,
   141,   143,     0,   142,   144,   140,     0,   176,    19,   135,
     0,   136,   137,     4,     0,     0,     0,     0,     0,     0,
    20,   187,   185,   238,   173,   161,     0,     0,    16,    16,
    16,     0,     0,     0,    26,    44,    46,    48,    50,   191,
   146,   145,   147,     0,     0,     0,   236,   160,     9,    10,
     8,    28,    30,     0,     3,     0,    77,     0,   215,   174,
   213,   216,   195,   177,     0,   197,   175,     0,   199,   209,
   210,   211,   178,     0,   190,     0,   105,   104,   106,   107,
   108,   233,   234,     0,     0,     0,     0,   111,     0,   109,
   110,     0,     0,    11,    13,    14,    74,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,   230,   231,     0,     0,   229,     0,     0,
   217,   219,   221,    16,     0,     0,     0,    72,   169,     0,
     0,   165,   189,     0,     0,   203,   205,   207,     0,     0,
     0,     0,   239,   103,   132,   129,   130,   131,     0,   103,
   133,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,    17,
     0,     0,     0,     0,    67,     0,     0,    84,     0,     0,
    52,    53,    56,    55,    57,    85,     0,     0,     0,     0,
   193,     0,     0,   148,   153,     0,   151,     0,     0,   157,
     0,   237,     0,     0,   222,   223,     0,   212,     0,     0,
     0,     0,     0,     0,     0,    12,     0,     0,     0,    77,
     0,    80,    82,     0,   168,   189,   188,   164,     0,   214,
   178,     0,   204,   206,   196,     0,   198,   179,   180,     0,
     0,   100,   112,   102,   117,   118,   119,   120,   121,   122,
   124,   123,   125,   126,   127,   128,   113,   114,   115,   116,
    61,     0,    15,     0,     0,    74,     0,     0,     0,     0,
     0,     0,    93,     0,    92,    27,     0,    45,    47,     0,
     0,     0,     0,     0,     0,   149,     0,     0,   156,     0,
   235,    29,    31,   232,   218,   228,   224,   225,   226,   227,
   220,     0,    90,   100,     0,    83,    71,    77,     0,   170,
     0,   167,     0,     0,   208,    99,     0,   103,    62,     0,
     0,    68,    74,     0,    42,    59,    84,    58,    60,     0,
    54,    49,    86,    88,    51,    87,   192,   194,   150,   154,
   152,   159,   158,    78,    79,    70,    81,   171,   179,   180,
   101,     0,    75,    76,    69,    42,     0,    34,     0,    95,
    94,     0,   134,    35,    43,     0,    89,     0,    96,    91,
     0,    97,     0,    98,     0,     0,     0
};

static const short yydefgoto[] = {   435,
     1,    41,    42,   111,    43,   154,    44,    45,   160,   172,
   173,   418,    46,   161,    47,   162,    48,   163,    49,   164,
   240,   241,   242,   243,    50,    51,    52,    53,    54,    55,
    56,    57,   235,   188,   281,   282,   244,   394,   395,   362,
   245,   334,   428,   148,   363,   301,   364,   150,   205,    58,
    59,   102,   103,   256,   257,    60,   105,   259,   260,    61,
    62,    63,    64,   288,   191,   192,    65,    66,   196,    68,
   127,   289,    81,   135,    70,   197,    75,    76,    77,   198,
   199,    72,    73,   120,   121,   180,   181,   182,   183,   151,
   122,   108,    85
};

static const short yypact[] = {-32768,
   184,   -40,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,     0,    41,-32768,    24,    24,-32768,   -10,    45,-32768,
-32768,    56,   142,    16,-32768,-32768,    46,    86,-32768,   126,
   129,   157,   161,   357,-32768,   145,   149,   174,   179,   189,
-32768,   120,-32768,   228,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,   251,-32768,-32768,-32768,
-32768,-32768,   224,-32768,-32768,-32768,   260,-32768,   284,-32768,
   260,-32768,-32768,-32768,    40,    73,   260,   260,   260,    19,
-32768,-32768,-32768,-32768,   242,   242,   857,   267,   268,   268,
   268,   305,   324,   272,-32768,-32768,-32768,-32768,-32768,   278,
-32768,   273,-32768,   277,   299,   300,-32768,   275,-32768,-32768,
-32768,-32768,-32768,     5,-32768,   339,   -12,   158,   300,   303,
-32768,-32768,   303,   310,   701,-32768,-32768,   701,-32768,   303,
   303,   303,   350,   737,-32768,   362,-32768,   311,-32768,-32768,
-32768,-32768,-32768,   857,   857,   857,   857,   312,   442,-32768,
-32768,   857,    25,-32768,-32768,-32768,    -9,   319,   857,    23,
    23,    23,    23,    23,   130,   326,   425,   379,   384,     5,
   145,    23,    23,-32768,-32768,    22,    22,-32768,     5,    88,
-32768,    20,-32768,   268,   333,   334,   619,-32768,-32768,    72,
   260,-32768,    85,   260,   138,   260,   260,-32768,    93,   110,
   341,   476,-32768,   857,-32768,-32768,-32768,-32768,   510,   857,
-32768,   857,   857,   857,   857,   857,   857,   857,   857,   857,
   857,   857,   857,   857,   857,   857,   857,   387,   544,-32768,
   164,   344,   345,   654,-32768,   857,   252,   160,   155,   354,
   343,-32768,-32768,-32768,-32768,-32768,   366,   367,   372,   373,
-32768,   780,   379,-32768,   380,   165,-32768,   376,   203,-32768,
   204,-32768,   378,   388,-32768,-32768,    50,-32768,     5,     5,
     5,     5,     5,     5,     5,-32768,   857,   857,   428,   248,
   220,-32768,   683,   382,-32768,   105,   260,-32768,     8,-32768,
-32768,   791,-32768,-32768,-32768,   701,-32768,   436,   437,   230,
   392,   218,-32768,   683,   452,    83,   265,   265,   265,   265,
   265,   265,   819,   728,   717,   717,    44,    44,   452,   452,
-32768,   444,-32768,   857,   857,   287,   243,   306,   857,   857,
   135,   399,-32768,   397,-32768,-32768,    23,-32768,-32768,   803,
   453,   401,   578,   253,   459,-32768,   379,   857,-32768,   384,
-32768,-32768,-32768,-32768,-32768,   463,   104,   104,   463,   463,
   186,   409,   406,   683,   411,-32768,-32768,   248,   803,-32768,
     8,-32768,   412,   612,-32768,-32768,   857,   857,-32768,   413,
   422,-32768,   287,   857,   340,-32768,   399,-32768,-32768,   159,
-32768,   426,   399,-32768,   427,-32768,-32768,-32768,-32768,-32768,
-32768,   683,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
   683,   430,-32768,-32768,-32768,   340,   857,-32768,   185,-32768,
-32768,   453,-32768,-32768,   683,   857,-32768,   431,   374,-32768,
   857,   408,   857,   683,   501,   506,-32768
};

static const short yypgoto[] = {-32768,
-32768,-32768,-32768,-32768,-32768,   -74,-32768,-32768,-32768,-32768,
-32768,    91,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
   240,-32768,   171,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,  -307,  -256,  -224,   140,   183,    95,-32768,  -118,
  -233,-32768,-32768,  -159,  -189,   137,   -87,-32768,   370,-32768,
-32768,-32768,   352,   282,   173,-32768,-32768,-32768,   180,-32768,
-32768,-32768,-32768,-32768,-32768,  -277,-32768,-32768,    33,-32768,
     6,   235,   438,-32768,-32768,   535,-32768,-32768,   331,   241,
   414,-32768,-32768,   -49,  -176,   369,   271,  -168,   166,-32768,
   -27,-32768,    -8
};


#define	YYLAST		930


static const short yytable[] = {   149,
   246,   246,   246,   246,   246,   333,    69,    86,   107,   327,
   267,   372,   246,   246,   300,   155,   156,   290,   382,   293,
   294,   123,    74,   367,   174,   175,   189,   130,   131,   132,
  -191,   185,   186,    67,   232,   233,    91,   270,   133,   104,
    92,   174,   175,   238,    84,    84,   202,     8,     9,    10,
    11,   124,    13,    14,    82,    83,   206,   207,   208,   209,
   187,   212,    87,   234,   229,    93,    94,   270,   193,    80,
    88,   237,   176,   177,   178,   415,    89,   179,   190,   335,
     8,     9,    10,    11,   124,    13,    14,   271,   272,   273,
   274,   134,   284,   408,   179,   239,   275,   389,   230,   283,
   212,   356,   357,   358,   359,   360,   361,   126,   129,   276,
   290,   406,   125,   226,   227,   392,   302,   271,   272,   273,
   274,   270,   304,   354,   305,   306,   307,   308,   309,   310,
   311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
   300,   286,   285,   262,   231,   128,   283,  -166,   328,   251,
   224,   225,   226,   227,   386,   387,   420,   291,    95,   365,
   287,   268,    90,   269,   343,   106,   295,  -172,   296,   109,
   110,   246,   104,   273,   274,   332,   189,   246,   119,   419,
   287,   396,   115,   297,     2,   296,     3,     4,     5,     6,
     7,     8,     9,    10,    11,    12,    13,    14,    96,    15,
    16,    97,   252,   270,   374,   380,   381,   239,    17,    18,
   292,    19,    20,    21,   -18,    22,    23,    24,    25,    26,
    27,    28,    29,    30,    31,    32,    33,   239,   190,    98,
   421,   239,   330,    99,   331,   212,   213,   323,   346,   136,
   347,   385,    34,    35,  -162,    36,   112,    37,    38,    39,
    40,   113,   283,   271,   272,   273,   274,   330,   116,   426,
   402,   114,   396,   214,   215,   216,   217,   218,   219,   212,
   213,   117,   220,   221,   222,   223,   349,   351,   350,   269,
   119,   283,   212,   213,   118,   224,   225,   226,   227,   411,
   304,   185,   186,   368,  -102,   369,   416,   214,   215,   216,
   217,   218,   219,   376,  -175,   377,   220,   221,   222,   223,
-32768,-32768,-32768,-32768,-32768,-32768,   383,   136,   369,   224,
   225,   226,   227,   212,   213,   157,   399,   329,   347,   425,
   232,   233,   224,   225,   226,   227,    78,    79,   429,   152,
   153,   265,   266,   432,   158,   434,   159,   165,   167,   168,
   171,   214,   215,   216,   217,   218,   219,   212,   213,   184,
   220,   221,   222,   223,     8,     9,    10,    11,   100,    13,
    14,   169,   170,   224,   225,   226,   227,   101,   194,   195,
  -193,   384,   203,   204,   210,   214,   215,   216,   217,   218,
   219,   212,   213,   236,   220,   221,   222,   223,   253,   255,
   247,   248,   249,   250,   258,   277,   278,   224,   225,   226,
   227,   263,   264,   321,   298,   417,   324,   325,   337,   214,
   215,   216,   217,   218,   219,   212,   213,   336,   220,   221,
   222,   223,     8,     9,    10,    11,   100,    13,    14,   338,
   339,   224,   225,   226,   227,   340,   341,   366,   345,   431,
   348,   352,   370,   214,   215,   216,   217,   218,   219,   212,
   213,   353,   220,   221,   222,   223,  -192,  -194,   378,   212,
   379,   330,   390,   393,   397,   224,   225,   226,   227,   400,
   270,   377,   404,   433,   405,   409,   413,   214,   215,   216,
   217,   218,   219,   212,   213,   414,   220,   221,   222,   223,
   436,   369,   422,   423,   430,   437,   424,   391,   407,   224,
   225,   226,   227,   388,   412,   228,   427,   211,   254,   401,
   371,   214,   215,   216,   217,   218,   219,   212,   213,   403,
   220,   221,   222,   223,   344,    71,   375,   166,   261,   355,
     0,   200,     0,   224,   225,   226,   227,     0,     0,   299,
     0,     0,     0,     0,     0,   214,   215,   216,   217,   218,
   219,   212,   213,     0,   220,   221,   222,   223,     0,     0,
     0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
   227,     0,     0,   303,     0,     0,     0,     0,     0,   214,
   215,   216,   217,   218,   219,   212,   213,     0,   220,   221,
   222,   223,     0,     0,     0,     0,     0,     0,     0,     0,
     0,   224,   225,   226,   227,     0,     0,   322,     0,     0,
     0,     0,     0,   214,   215,   216,   217,   218,   219,   212,
   213,     0,   220,   221,   222,   223,     0,     0,   137,   138,
   139,   140,   141,     0,     0,   224,   225,   226,   227,     0,
     0,   398,     0,     0,     0,     0,     0,   214,   215,   216,
   217,   218,   219,     0,     0,     0,   220,   221,   222,   223,
   142,   143,   144,   137,   138,   139,   140,   141,     0,   224,
   225,   226,   227,     0,     0,   410,   145,   146,   279,     0,
     0,   147,   280,     0,     0,     0,     0,     0,     0,     0,
   212,   213,     0,     3,     4,   142,   143,   144,     8,     9,
    10,    11,   124,    13,    14,     0,     0,     0,     0,     0,
     0,   145,   146,   279,     0,     0,   147,   326,   214,   215,
   216,   217,   218,   219,   212,   213,     0,   220,   221,   222,
   223,     0,     0,     0,     0,   212,   213,     0,     0,     0,
   224,   225,   226,   227,     0,     0,   137,   138,   139,   140,
   141,     0,   214,   215,   216,   217,   218,   219,     0,     0,
     0,   220,   221,   214,   215,   216,   217,   218,   219,     0,
     0,     0,   220,     0,   224,   225,   226,   227,   142,   143,
   144,     0,     0,     0,     0,   224,   225,   226,   227,   137,
   138,   139,   140,   141,   145,   146,   201,     0,     0,   147,
   137,   138,   139,   140,   141,     0,     0,     0,     0,     0,
     0,     0,   137,   138,   139,   140,   141,     0,     0,     0,
     0,   142,   143,   144,     0,     0,   212,   213,     0,     0,
     0,     0,   142,   143,   144,     0,     0,   145,   146,   342,
     0,     0,   147,     0,   142,   143,   144,     0,   145,   146,
   373,     0,     0,   147,   214,   215,   216,   217,   218,   219,
   145,   146,   279,     0,     0,   147,   137,   138,   139,   140,
   141,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,   142,   143,
   144,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,   145,   146,     0,     0,     0,   147
};

static const short yycheck[] = {    87,
   160,   161,   162,   163,   164,   239,     1,    16,    36,   234,
   179,   289,   172,   173,   204,    90,    91,   194,   326,   196,
   197,    71,    63,   280,    20,    21,    19,    77,    78,    79,
    31,    44,    45,     1,    44,    45,    21,    18,    20,    34,
    25,    20,    21,    21,    21,    21,   134,     8,     9,    10,
    11,    12,    13,    14,    14,    15,   144,   145,   146,   147,
    73,    18,    73,    73,   152,    20,    21,    18,   118,    70,
    26,   159,    68,    69,    70,   383,    21,    73,    71,   239,
     8,     9,    10,    11,    12,    13,    14,    68,    69,    70,
    71,    73,    21,   371,    73,    73,    77,   331,    74,   187,
    18,   270,   271,   272,   273,   274,   275,    75,    76,   184,
   287,   368,    73,    70,    71,   340,   204,    68,    69,    70,
    71,    18,   210,    74,   212,   213,   214,   215,   216,   217,
   218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
   330,   191,    71,   171,   153,    73,   234,    63,   236,    20,
    68,    69,    70,    71,    20,    21,   390,    20,    73,   278,
    76,    74,    21,    76,   252,    21,    74,    63,    76,    21,
    22,   331,   167,    70,    71,    21,    19,   337,    21,    21,
    76,   341,    63,    74,     1,    76,     3,     4,     5,     6,
     7,     8,     9,    10,    11,    12,    13,    14,    73,    16,
    17,    73,    73,    18,   292,   324,   325,    73,    25,    26,
    73,    28,    29,    30,    31,    32,    33,    34,    35,    36,
    37,    38,    39,    40,    41,    42,    43,    73,    71,    73,
   390,    73,    73,    73,    75,    18,    19,    74,    74,    76,
    76,   329,    59,    60,    61,    62,    73,    64,    65,    66,
    67,    73,   340,    68,    69,    70,    71,    73,    31,    75,
   348,    73,   422,    46,    47,    48,    49,    50,    51,    18,
    19,    21,    55,    56,    57,    58,    74,    74,    76,    76,
    21,   369,    18,    19,    61,    68,    69,    70,    71,   377,
   378,    44,    45,    74,    77,    76,   384,    46,    47,    48,
    49,    50,    51,    74,    21,    76,    55,    56,    57,    58,
    46,    47,    48,    49,    50,    51,    74,    76,    76,    68,
    69,    70,    71,    18,    19,    21,    74,    76,    76,   417,
    44,    45,    68,    69,    70,    71,     6,     7,   426,    73,
    73,   176,   177,   431,    21,   433,    75,    70,    76,    73,
    76,    46,    47,    48,    49,    50,    51,    18,    19,    21,
    55,    56,    57,    58,     8,     9,    10,    11,    12,    13,
    14,    73,    73,    68,    69,    70,    71,    21,    76,    70,
    31,    76,    21,    73,    73,    46,    47,    48,    49,    50,
    51,    18,    19,    75,    55,    56,    57,    58,    73,    21,
   161,   162,   163,   164,    21,    73,    73,    68,    69,    70,
    71,   172,   173,    27,    74,    76,    73,    73,    76,    46,
    47,    48,    49,    50,    51,    18,    19,    74,    55,    56,
    57,    58,     8,     9,    10,    11,    12,    13,    14,    74,
    74,    68,    69,    70,    71,    74,    74,    20,    69,    76,
    75,    74,    71,    46,    47,    48,    49,    50,    51,    18,
    19,    74,    55,    56,    57,    58,    31,    31,    77,    18,
    27,    73,    76,    21,    74,    68,    69,    70,    71,    21,
    18,    76,    74,    76,    74,    74,    74,    46,    47,    48,
    49,    50,    51,    18,    19,    74,    55,    56,    57,    58,
     0,    76,    76,    74,    74,     0,   416,   337,   369,    68,
    69,    70,    71,   331,   378,    74,   422,   148,   167,   347,
   286,    46,    47,    48,    49,    50,    51,    18,    19,   350,
    55,    56,    57,    58,   253,     1,   296,   100,   170,   269,
    -1,   128,    -1,    68,    69,    70,    71,    -1,    -1,    74,
    -1,    -1,    -1,    -1,    -1,    46,    47,    48,    49,    50,
    51,    18,    19,    -1,    55,    56,    57,    58,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    69,    70,
    71,    -1,    -1,    74,    -1,    -1,    -1,    -1,    -1,    46,
    47,    48,    49,    50,    51,    18,    19,    -1,    55,    56,
    57,    58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    68,    69,    70,    71,    -1,    -1,    74,    -1,    -1,
    -1,    -1,    -1,    46,    47,    48,    49,    50,    51,    18,
    19,    -1,    55,    56,    57,    58,    -1,    -1,    20,    21,
    22,    23,    24,    -1,    -1,    68,    69,    70,    71,    -1,
    -1,    74,    -1,    -1,    -1,    -1,    -1,    46,    47,    48,
    49,    50,    51,    -1,    -1,    -1,    55,    56,    57,    58,
    52,    53,    54,    20,    21,    22,    23,    24,    -1,    68,
    69,    70,    71,    -1,    -1,    74,    68,    69,    70,    -1,
    -1,    73,    74,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    18,    19,    -1,     3,     4,    52,    53,    54,     8,     9,
    10,    11,    12,    13,    14,    -1,    -1,    -1,    -1,    -1,
    -1,    68,    69,    70,    -1,    -1,    73,    74,    46,    47,
    48,    49,    50,    51,    18,    19,    -1,    55,    56,    57,
    58,    -1,    -1,    -1,    -1,    18,    19,    -1,    -1,    -1,
    68,    69,    70,    71,    -1,    -1,    20,    21,    22,    23,
    24,    -1,    46,    47,    48,    49,    50,    51,    -1,    -1,
    -1,    55,    56,    46,    47,    48,    49,    50,    51,    -1,
    -1,    -1,    55,    -1,    68,    69,    70,    71,    52,    53,
    54,    -1,    -1,    -1,    -1,    68,    69,    70,    71,    20,
    21,    22,    23,    24,    68,    69,    70,    -1,    -1,    73,
    20,    21,    22,    23,    24,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    20,    21,    22,    23,    24,    -1,    -1,    -1,
    -1,    52,    53,    54,    -1,    -1,    18,    19,    -1,    -1,
    -1,    -1,    52,    53,    54,    -1,    -1,    68,    69,    70,
    -1,    -1,    73,    -1,    52,    53,    54,    -1,    68,    69,
    70,    -1,    -1,    73,    46,    47,    48,    49,    50,    51,
    68,    69,    70,    -1,    -1,    73,    20,    21,    22,    23,
    24,    -1,    -1,    -1,    -1,    -1,    68,    69,    70,    71,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    52,    53,
    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    68,    69,    -1,    -1,    -1,    73
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/local/lib/bison.simple"

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Bob Corbett and Richard Stallman

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 1, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */


#ifndef alloca
#ifdef __GNUC__
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__)
#include <alloca.h>
#else /* not sparc */
#if defined (MSDOS) && !defined (__TURBOC__)
#include <malloc.h>
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
#include <malloc.h>
 #pragma alloca
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc.  */
#endif /* not GNU C.  */
#endif /* alloca not defined.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	return(0)
#define YYABORT 	return(1)
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#define YYLEX		yylex(&yylval, &yylloc)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_bcopy(FROM,TO,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_bcopy (from, to, count)
     char *from;
     char *to;
     int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_bcopy (char *from, char *to, int count)
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 169 "/usr/local/lib/bison.simple"
int
yyparse()
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
#ifdef YYLSP_NEEDED
		 &yyls1, size * sizeof (*yylsp),
#endif
		 &yystacksize);

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
      yyss = (short *) alloca (yystacksize * sizeof (*yyssp));
      __yy_bcopy ((char *)yyss1, (char *)yyss, size * sizeof (*yyssp));
      yyvs = (YYSTYPE *) alloca (yystacksize * sizeof (*yyvsp));
      __yy_bcopy ((char *)yyvs1, (char *)yyvs, size * sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) alloca (yystacksize * sizeof (*yylsp));
      __yy_bcopy ((char *)yyls1, (char *)yyls, size * sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symboles being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 1:
#line 142 "gram.y"
{ current_control_type = -1; ;
    break;}
case 4:
#line 146 "gram.y"
{
			parse_tree = NULL;
		    ;
    break;}
case 5:
#line 153 "gram.y"
{
			parse_type = PT_DECLARATION;
			parse_tree = yyvsp[0].t;
		    ;
    break;}
case 6:
#line 158 "gram.y"
{
			parse_type = PT_EXECUTABLE;
			parse_tree = yyvsp[0].t;
		    ;
    break;}
case 7:
#line 163 "gram.y"
{
			parse_type = PT_SUBPROGRAM;
			parse_tree = yyvsp[0].t;
		    ;
    break;}
case 8:
#line 168 "gram.y"
{
			parse_type = PT_INCLUDE;
			parse_tree = new_nodev(TREE_INCLUDE, 1, yyvsp[0].t);
		    ;
    break;}
case 11:
#line 179 "gram.y"
{
			yyval.t = new_nodev(TREE_PROGRAM, 2, yyvsp[-1].t, yyvsp[0].t);
		    ;
    break;}
case 12:
#line 183 "gram.y"
{
			yyval.t = new_nodev(TREE_FUNCTION, 3, yyvsp[-1].t, yyvsp[0].t, yyvsp[-3].t);
		    ;
    break;}
case 13:
#line 187 "gram.y"
{
			yyval.t = new_nodev(TREE_SUBROUTINE, 2, yyvsp[-1].t, yyvsp[0].t);
		    ;
    break;}
case 14:
#line 191 "gram.y"
{
			yyval.t = new_nodev(TREE_PROCESS, 2, yyvsp[-1].t, yyvsp[0].t);
		    ;
    break;}
case 15:
#line 197 "gram.y"
{
			yyval.t = yyvsp[-1].t;
		    ;
    break;}
case 16:
#line 201 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 0);
		    ;
    break;}
case 17:
#line 205 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 0);
		    ;
    break;}
case 18:
#line 211 "gram.y"
{
			yyval.t = new_nodev(TREE_TYPE, 0);
		    ;
    break;}
case 26:
#line 224 "gram.y"
{ current_control_type = TREE_CHANNEL_CLOSE; ;
    break;}
case 27:
#line 226 "gram.y"
{
			yyval.t = new_nodev(TREE_CHANNEL_CLOSE, 1, yyvsp[-1].t);
		    ;
    break;}
case 28:
#line 230 "gram.y"
{ current_control_type = TREE_PROBE; ;
    break;}
case 29:
#line 232 "gram.y"
{
			yyval.t = new_nodev(TREE_PROBE, 1, yyvsp[-1].t);
		    ;
    break;}
case 30:
#line 236 "gram.y"
{ current_control_type = TREE_MOVE_PORT; ;
    break;}
case 31:
#line 238 "gram.y"
{
			yyval.t = new_nodev(TREE_MOVE_PORT, 1, yyvsp[-1].t);
		    ;
    break;}
case 32:
#line 242 "gram.y"
{
			yyval.t = new_nodev(TREE_PAR, 0);
		    ;
    break;}
case 33:
#line 246 "gram.y"
{
			yyval.t = new_nodev(TREE_ENDPAR, 0);
		    ;
    break;}
case 34:
#line 250 "gram.y"
{
			yyval.t = new_nodev(TREE_PARDO, 4, yyvsp[-5].t, yyvsp[-3].t, yyvsp[-1].t, yyvsp[0].t);
		    ;
    break;}
case 35:
#line 254 "gram.y"
{
			yyval.t = new_nodev(TREE_LABELLED_PARDO, 5,
				       yyvsp[-5].t, yyvsp[-3].t, yyvsp[-1].t, yyvsp[0].t, yyvsp[-6].t);
		    ;
    break;}
case 42:
#line 267 "gram.y"
{
			yyval.t = new_int_node(1);
		    ;
    break;}
case 43:
#line 271 "gram.y"
{
			yyval.t = yyvsp[0].t;
		    ;
    break;}
case 44:
#line 277 "gram.y"
{ current_control_type = TREE_CHANNEL; ;
    break;}
case 45:
#line 279 "gram.y"
{
			yyval.t = new_nodev(TREE_CHANNEL, 1, yyvsp[-1].t);
		    ;
    break;}
case 46:
#line 285 "gram.y"
{ current_control_type = TREE_MERGER; ;
    break;}
case 47:
#line 287 "gram.y"
{
			yyval.t = new_nodev(TREE_MERGER, 1, yyvsp[-1].t);
		    ;
    break;}
case 48:
#line 293 "gram.y"
{ current_control_type = TREE_SEND; ;
    break;}
case 49:
#line 295 "gram.y"
{
			yyval.t = new_nodev(TREE_SEND, 2, yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 50:
#line 301 "gram.y"
{ current_control_type = TREE_RECV; ;
    break;}
case 51:
#line 303 "gram.y"
{
			yyval.t = new_nodev(TREE_RECV, 2, yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 52:
#line 309 "gram.y"
{
			yyval.t = grok_control_list(current_control_type, yyvsp[0].t);
		    ;
    break;}
case 53:
#line 315 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 1, yyvsp[0].t);
		    ;
    break;}
case 54:
#line 319 "gram.y"
{
			yyval.t = add_kid(yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 58:
#line 330 "gram.y"
{
			yyval.t = gen_control_pair(current_control_type,yyvsp[-2].t,yyvsp[0].t);
		    ;
    break;}
case 59:
#line 334 "gram.y"
{
			yyval.t = gen_control_pair(current_control_type,yyvsp[-2].t,yyvsp[0].t);
		    ;
    break;}
case 60:
#line 338 "gram.y"
{
			yyval.t = gen_control_pair(current_control_type,yyvsp[-2].t,yyvsp[0].t);
		    ;
    break;}
case 61:
#line 344 "gram.y"
{
			yyval.t = new_nodev(TREE_BLOCK_IF, 1, yyvsp[-2].t);
		    ;
    break;}
case 62:
#line 350 "gram.y"
{
			yyval.t = new_nodev(TREE_ELSE_IF, 1, yyvsp[-2].t);
		    ;
    break;}
case 63:
#line 356 "gram.y"
{
			yyval.t = new_nodev(TREE_ELSE, 0);
		    ;
    break;}
case 64:
#line 362 "gram.y"
{
			yyval.t = new_nodev(TREE_ENDIF, 0);
		    ;
    break;}
case 65:
#line 367 "gram.y"
{
			yyval.t = new_nodev(TREE_ENDDO, 0);
		    ;
    break;}
case 66:
#line 372 "gram.y"
{
			yyval.t = new_nodev(TREE_ENDPARDO, 0);
		    ;
    break;}
case 67:
#line 377 "gram.y"
{
			yyval.t = new_nodev(TREE_CALL, 4,
				       new_int_node(1),
				       yyvsp[-1].t,
				       new_nodev(TREE_INTERNAL, 0),
				       yyvsp[0].t);
		    ;
    break;}
case 68:
#line 385 "gram.y"
{
			yyval.t = new_nodev(TREE_CALL, 4,
				       new_int_node(1),
				       yyvsp[-3].t,
				       new_nodev(TREE_INTERNAL, 0),
				       yyvsp[0].t);
		    ;
    break;}
case 69:
#line 393 "gram.y"
{
			yyval.t = new_nodev(TREE_CALL, 4,
				       new_int_node(1),
				       yyvsp[-4].t,
				       yyvsp[-2].t,
				       yyvsp[0].t);
		    ;
    break;}
case 70:
#line 401 "gram.y"
{
			yyval.t = new_nodev(TREE_CALL, 4,
				       new_int_node(0),
				       yyvsp[-4].t,
				       yyvsp[-2].t,
				       new_nil_node());
		    ;
    break;}
case 71:
#line 409 "gram.y"
{
			yyval.t = new_nodev(TREE_CALL, 4,
				       new_int_node(0),
				       yyvsp[-3].t,
				       new_nodev(TREE_INTERNAL, 0),
				       new_nil_node());
		    ;
    break;}
case 72:
#line 417 "gram.y"
{
			yyval.t = new_nodev(TREE_CALL, 4,
				       new_int_node(0),
				       yyvsp[-1].t,
				       new_nodev(TREE_INTERNAL, 0),
				       new_nil_node());
		    ;
    break;}
case 73:
#line 427 "gram.y"
{
			current_control_type = TREE_CALL;
		    ;
    break;}
case 74:
#line 433 "gram.y"
{
			yyval.t = new_nil_node();
		    ;
    break;}
case 75:
#line 437 "gram.y"
{
			yyval.t = new_nodev(TREE_LOCATION, 1, yyvsp[-1].t);
		    ;
    break;}
case 76:
#line 441 "gram.y"
{
			yyval.t = new_nodev(TREE_SUBMACHINE, 1, yyvsp[-1].t);
		    ;
    break;}
case 78:
#line 448 "gram.y"
{
                        printf("Annotations are not allowed on plain calls. Use PROCESS CALL instead\n");			
			YYERROR;
		    ;
    break;}
case 79:
#line 453 "gram.y"
{
                        printf("Annotations are not allowed on plain calls. Use PROCESS CALL instead\n");			
			YYERROR;
		    ;
    break;}
case 80:
#line 460 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 1, yyvsp[0].t);
		    ;
    break;}
case 81:
#line 464 "gram.y"
{
			yyval.t = add_kid(yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 83:
#line 471 "gram.y"
{
			printf("Labels as call arguments not supported\n");
			yyval.t = NULL;
		    ;
    break;}
case 88:
#line 502 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 1, yyvsp[0].t);
		    ;
    break;}
case 89:
#line 506 "gram.y"
{
			yyval.t = add_kid(yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 91:
#line 515 "gram.y"
{
			yyval.t = new_nodev(TREE_DO_LIST, 3,
				       yyvsp[-5].t, yyvsp[-3].t, yyvsp[-1].t);
/*			$$ = unwind_didl($$);*/
		    ;
    break;}
case 92:
#line 523 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 1, yyvsp[0].t);
		    ;
    break;}
case 93:
#line 527 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 1, yyvsp[0].t);
		    ;
    break;}
case 94:
#line 531 "gram.y"
{
			yyval.t = add_kid(yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 95:
#line 535 "gram.y"
{
			yyval.t = add_kid(yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 96:
#line 541 "gram.y"
{
			yyval.t = new_nodev(TREE_RANGE, 1, yyvsp[0].t);
		    ;
    break;}
case 97:
#line 545 "gram.y"
{
			yyval.t = new_nodev(TREE_RANGE, 2, yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 98:
#line 549 "gram.y"
{
			yyval.t = new_nodev(TREE_RANGE, 3, yyvsp[-4].t, yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 99:
#line 555 "gram.y"
{
			yyval.t = new_nodev(TREE_ARRAY_ELEMENT_NAME,
				       2, yyvsp[-3].t, yyvsp[-1].t);
		    ;
    break;}
case 100:
#line 562 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 1, yyvsp[0].t);
		    ;
    break;}
case 101:
#line 566 "gram.y"
{
			yyval.t = add_kid(yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 103:
#line 573 "gram.y"
{
			yyval.t = new_nil_node();
		    ;
    break;}
case 106:
#line 581 "gram.y"
{
			yyval.t = new_nodev(TREE_STRING_CONST, 1, yyvsp[0].t);
		    ;
    break;}
case 112:
#line 590 "gram.y"
{
			yyval.t = new_nodev(TREE_UNARY_OP, 2,
				       new_int_node(OP_PAREN),
				       yyvsp[-1].t);
		    ;
    break;}
case 113:
#line 596 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_PLUS),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 114:
#line 602 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_MINUS),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 115:
#line 608 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_MUL),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 116:
#line 614 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_DIV),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 117:
#line 620 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_POW),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 118:
#line 626 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_CONCAT),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 119:
#line 632 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_LT),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 120:
#line 638 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_LE),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 121:
#line 644 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_GT),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 122:
#line 650 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_GE),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 123:
#line 656 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_NE),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 124:
#line 662 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_EQ),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 125:
#line 668 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_AND),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 126:
#line 674 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_OR),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 127:
#line 680 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_EQV),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 128:
#line 686 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_NEQV),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 129:
#line 692 "gram.y"
{
			yyval.t = new_nodev(TREE_UNARY_OP, 2,
				       new_int_node(OP_NOT),
				       yyvsp[0].t);
		    ;
    break;}
case 130:
#line 698 "gram.y"
{
			yyval.t = new_nodev(TREE_UNARY_OP, 2,
				       new_int_node(OP_PLUS),
				       yyvsp[0].t);
		    ;
    break;}
case 131:
#line 704 "gram.y"
{
			yyval.t = new_nodev(TREE_UNARY_OP, 2,
				       new_int_node(OP_MINUS),
				       yyvsp[0].t);
		    ;
    break;}
case 132:
#line 712 "gram.y"
{
			yyval.t = new_nodev(TREE_SUBSTRING, 2, yyvsp[-1].t, yyvsp[0].t);
		    ;
    break;}
case 133:
#line 716 "gram.y"
{
			yyval.t = new_nodev(TREE_SUBSTRING, 2, yyvsp[-1].t, yyvsp[0].t);
		    ;
    break;}
case 134:
#line 722 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 2, yyvsp[-3].t, yyvsp[-1].t);
		    ;
    break;}
case 145:
#line 740 "gram.y"
{
			yyval.t = map_list_0(TREE_IMPLICIT, yyvsp[0].t);
		    ;
    break;}
case 146:
#line 744 "gram.y"
{
			if (strcasecmp(yyvsp[0].t->data.sdata, "none") == 0)
			{
			    yyval.t = new_nodev(TREE_INTERNAL, 1,
					   new_nodev(TREE_IMPLICIT, 0));
			}
			else
			{
			    YYERROR;
			}
			    
		    ;
    break;}
case 147:
#line 761 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 1, yyvsp[0].t);
		    ;
    break;}
case 148:
#line 765 "gram.y"
{
			yyval.t = add_kid(yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 149:
#line 771 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 2, yyvsp[-3].t, yyvsp[-1].t);
		    ;
    break;}
case 150:
#line 775 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 2,
				       new_nodev(TREE_TYPE, 2,
						 new_string_node("character"),
						 yyvsp[-3].t),
				       yyvsp[-1].t);
		    ;
    break;}
case 151:
#line 785 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 1, yyvsp[0].t);
		    ;
    break;}
case 152:
#line 789 "gram.y"
{
			yyval.t = add_kid(yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 153:
#line 795 "gram.y"
{
			char *buf = (char *)
			    malloc(strlen(yyvsp[0].t->data.sdata) * 2 + 2);
			strcpy(buf, yyvsp[0].t->data.sdata);
			strcat(buf, "-");
			strcat(buf, yyvsp[0].t->data.sdata);
			yyval.t = new_string_node(buf);
		    ;
    break;}
case 154:
#line 804 "gram.y"
{
			char *buf = (char *)
			    malloc(strlen(yyvsp[-2].t->data.sdata) +
				   strlen(yyvsp[0].t->data.sdata) + 2);
			strcpy(buf, yyvsp[-2].t->data.sdata);
			strcat(buf, "-");
			strcat(buf, yyvsp[0].t->data.sdata);
			yyval.t = new_string_node(buf);
		    ;
    break;}
case 155:
#line 817 "gram.y"
{
		    ;
    break;}
case 156:
#line 820 "gram.y"
{
			yyval.t = map_list_0(TREE_PARAMETER, yyvsp[-1].t);
		    ;
    break;}
case 157:
#line 826 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 1, yyvsp[0].t);
		    ;
    break;}
case 158:
#line 830 "gram.y"
{
			yyval.t = add_kid(yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 159:
#line 836 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 2, yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 160:
#line 842 "gram.y"
{
			yyval.t = map_list_0(TREE_DIMENSION, yyvsp[0].t);
		    ;
    break;}
case 161:
#line 848 "gram.y"
{
			yyval.t = map_list_0(TREE_INTRINSIC, yyvsp[0].t);
		    ;
    break;}
case 162:
#line 854 "gram.y"
{
			yyval.i = 0;
		    ;
    break;}
case 163:
#line 858 "gram.y"
{
			yyval.i = 1;
		    ;
    break;}
case 164:
#line 864 "gram.y"
{
			int i;
			tree_node *this_one;

			if (yyvsp[-3].i == 0 && !allow_plain_common)
			{
			    fatal("COMMON is not allowed in Fortran M. Use PROCESS COMMON intead\n");
			}

			this_one = new_nodev(TREE_COMMON, 2,
					     new_nodev(TREE_COMMON_BLANK, 0),
					     yyvsp[-1].t);

			if (yyvsp[0].t == NULL)
			{
			    yyval.t = new_nodev(TREE_INTERNAL, 1, this_one);
			}
			else
			{
			    yyval.t = add_kid_to_front(yyvsp[0].t, this_one);
			}
		    ;
    break;}
case 165:
#line 887 "gram.y"
{
			if (yyvsp[-2].i == 0 && !allow_plain_common)
			{
			    fatal("COMMON is not allowed in Fortran M. Use PROCESS COMMON intead\n");
			}

			yyval.t = yyvsp[0].t;
		    ;
    break;}
case 166:
#line 908 "gram.y"
{
			yyval.t = NULL;
		    ;
    break;}
case 167:
#line 912 "gram.y"
{
			yyval.t = yyvsp[0].t;
		    ;
    break;}
case 168:
#line 918 "gram.y"
{
			yyval.t = new_nodev(TREE_COMMON_BLANK, 0);
		    ;
    break;}
case 169:
#line 922 "gram.y"
{
			yyval.t = new_nodev(TREE_COMMON_BLANK, 0);
		    ;
    break;}
case 170:
#line 926 "gram.y"
{
			yyval.t = yyvsp[-1].t;
		    ;
    break;}
case 171:
#line 932 "gram.y"
{
			tree_node *com = new_nodev(TREE_COMMON, 2,
						   yyvsp[-3].t, yyvsp[-2].t);

			yyval.t = add_kid_to_front(yyvsp[0].t, com);
		    ;
    break;}
case 172:
#line 939 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 1,
				       new_nodev(TREE_COMMON, 2, yyvsp[-1].t, yyvsp[0].t));
		    ;
    break;}
case 173:
#line 946 "gram.y"
{
			yyval.t = map_list_0(TREE_EXTERNAL, yyvsp[0].t);
		    ;
    break;}
case 174:
#line 952 "gram.y"
{
			yyval.t = map_list_1(TREE_TYPE_STMT, yyvsp[-1].t, yyvsp[0].t);
		    ;
    break;}
case 177:
#line 962 "gram.y"
{
			yyval.t = new_nodev(TREE_TYPE, 1,
				       new_string_node("character*1"));
		    ;
    break;}
case 178:
#line 967 "gram.y"
{
			char buf[100];
			sprintf(buf, "character*%d", yyvsp[0].t->data.idata);
			yyval.t = new_nodev(TREE_TYPE, 1, new_string_node(buf));
		    ;
    break;}
case 179:
#line 974 "gram.y"
{
			yyval.t = new_nodev(TREE_TYPE, 1, new_string_node("character*(*)"));
		    ;
    break;}
case 180:
#line 978 "gram.y"
{
			char buf[100];
			sprintf(buf, "character*EXPR(%d)", yyvsp[-1].t);
			yyval.t = new_nodev(TREE_TYPE, 1, new_string_node(buf));
		    ;
    break;}
case 181:
#line 987 "gram.y"
{
			tree_node *kid = new_string_node("integer");
			yyval.t = new_nodev(TREE_TYPE, 1, kid);
		    ;
    break;}
case 182:
#line 992 "gram.y"
{
			yyval.t = new_nodev(TREE_TYPE, 1,
				       new_string_node("real"));
		    ;
    break;}
case 183:
#line 997 "gram.y"
{
			yyval.t = new_nodev(TREE_TYPE, 1,
				       new_string_node("byte"));
		    ;
    break;}
case 184:
#line 1002 "gram.y"
{
			yyval.t = new_nodev(TREE_TYPE, 1,
				       new_string_node("logical"));
		    ;
    break;}
case 185:
#line 1007 "gram.y"
{
			yyval.t = new_nodev(TREE_TYPE, 1,
				       new_string_node("doubleprecision"));
		    ;
    break;}
case 186:
#line 1012 "gram.y"
{
			yyval.t = new_nodev(TREE_TYPE, 1,
				       new_string_node("complex"));
		    ;
    break;}
case 187:
#line 1017 "gram.y"
{
			yyval.t = new_nodev(TREE_TYPE, 1,
				       new_string_node("doublecomplex"));
		    ;
    break;}
case 190:
#line 1043 "gram.y"
{
			yyval.t = yyvsp[0].t;
		    ;
    break;}
case 191:
#line 1047 "gram.y"
{
			yyval.t = new_nil_node();
		    ;
    break;}
case 192:
#line 1053 "gram.y"
{
			yyval.t = new_string_node("*");
		    ;
    break;}
case 194:
#line 1058 "gram.y"
{
			yyval.t = yyvsp[-1].t;
		    ;
    break;}
case 195:
#line 1064 "gram.y"
{
			yyval.t = map_list_1(TREE_TYPE_STMT,
					yyvsp[-1].t, yyvsp[0].t);
		    ;
    break;}
case 196:
#line 1071 "gram.y"
{
			yyval.t = new_nodev(TREE_IN_PORT, 1, yyvsp[-1].t);
		    ;
    break;}
case 197:
#line 1075 "gram.y"
{
			yyval.t = new_nodev(TREE_IN_PORT, 1,
				       new_nodev(TREE_INTERNAL, 1, yyvsp[0].t));
		    ;
    break;}
case 198:
#line 1080 "gram.y"
{
			yyval.t = new_nodev(TREE_OUT_PORT, 1, yyvsp[-1].t);
		    ;
    break;}
case 199:
#line 1084 "gram.y"
{
			yyval.t = new_nodev(TREE_OUT_PORT, 1,
				       new_nodev(TREE_INTERNAL, 1, yyvsp[0].t));
		    ;
    break;}
case 200:
#line 1091 "gram.y"
{
			current_control_type = TREE_IN_PORT;
		    ;
    break;}
case 201:
#line 1097 "gram.y"
{
			current_control_type = TREE_OUT_PORT;
		    ;
    break;}
case 202:
#line 1103 "gram.y"
{
			current_control_type = TREE_INTENT;
		    ;
    break;}
case 204:
#line 1110 "gram.y"
{
			yyval.t = new_nodev(TREE_DUMMY_TYPE, 2, yyvsp[-1].t, yyvsp[0].t);
		    ;
    break;}
case 206:
#line 1115 "gram.y"
{
			yyval.t = new_nodev(TREE_DUMMY_TYPE, 2, yyvsp[-1].t, yyvsp[0].t);
		    ;
    break;}
case 207:
#line 1121 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 1, yyvsp[0].t);
		    ;
    break;}
case 208:
#line 1125 "gram.y"
{
			yyval.t = add_kid(yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 209:
#line 1131 "gram.y"
{
			yyval.t = map_list_1(TREE_INTENT,
					new_string_node("in"),
					yyvsp[0].t);
		    ;
    break;}
case 210:
#line 1137 "gram.y"
{
			yyval.t = map_list_1(TREE_INTENT,
					new_string_node("out"),
					yyvsp[0].t);
		    ;
    break;}
case 211:
#line 1143 "gram.y"
{
			yyval.t = map_list_1(TREE_INTENT,
					new_string_node("inout"),
					yyvsp[0].t);
		    ;
    break;}
case 212:
#line 1151 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 1,
				       new_nodev(TREE_MACHINE_STMT, 1, yyvsp[-1].t));
		    ;
    break;}
case 213:
#line 1158 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 1, yyvsp[0].t);
		    ;
    break;}
case 214:
#line 1162 "gram.y"
{
			yyval.t = add_kid(yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 215:
#line 1168 "gram.y"
{
			yyval.t = new_nodev(TREE_NAME, 1, yyvsp[0].t);
		    ;
    break;}
case 216:
#line 1172 "gram.y"
{
			yyval.t = new_nodev(TREE_NAME, 1, yyvsp[0].t);
		    ;
    break;}
case 217:
#line 1184 "gram.y"
{
			yyval.t = new_nodev(TREE_BOUNDS, 1, yyvsp[0].t);
		    ;
    break;}
case 218:
#line 1188 "gram.y"
{
			yyval.t = add_kid(yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 220:
#line 1195 "gram.y"
{
			yyval.t = new_nodev(TREE_LOWER_UPPER, 2, yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 222:
#line 1202 "gram.y"
{
			yyval.t = new_nodev(TREE_UNARY_OP, 3,
				       new_int_node(OP_PLUS),
				       yyvsp[0].t);
		    ;
    break;}
case 223:
#line 1208 "gram.y"
{
			yyval.t = new_nodev(TREE_UNARY_OP, 2,
				       new_int_node(OP_MINUS),
				       yyvsp[0].t);
		    ;
    break;}
case 224:
#line 1214 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_PLUS),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 225:
#line 1220 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_MINUS),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 226:
#line 1226 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_MUL),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 227:
#line 1232 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_DIV),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 228:
#line 1238 "gram.y"
{
			yyval.t = new_nodev(TREE_BINARY_OP, 3,
				       new_int_node(OP_POW),
				       yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 229:
#line 1244 "gram.y"
{
			yyval.t = new_string_node("*");
		    ;
    break;}
case 232:
#line 1252 "gram.y"
{
			yyval.t = yyvsp[-1].t;
		    ;
    break;}
case 233:
#line 1259 "gram.y"
{
			yyval.t = new_nodev(TREE_LOGICAL, 1,
				       new_string_node(".TRUE."));
		    ;
    break;}
case 234:
#line 1264 "gram.y"
{
			yyval.t = new_nodev(TREE_LOGICAL, 1,
				       new_string_node(".FALSE."));
		    ;
    break;}
case 235:
#line 1271 "gram.y"
{
			yyval.t = new_nodev(TREE_ARRAY_DECLARATOR,
				       2,
				       yyvsp[-3].t,
				       yyvsp[-1].t);
		    ;
    break;}
case 236:
#line 1280 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 1, yyvsp[0].t);
		    ;
    break;}
case 237:
#line 1284 "gram.y"
{
			yyval.t = add_kid(yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
case 238:
#line 1290 "gram.y"
{
			yyval.t = new_nodev(TREE_INTERNAL, 1, yyvsp[0].t);
		    ;
    break;}
case 239:
#line 1294 "gram.y"
{
			yyval.t = add_kid(yyvsp[-2].t, yyvsp[0].t);
		    ;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 440 "/usr/local/lib/bison.simple"

  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  for (x = 0; x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = 0; x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;
}
#line 1299 "gram.y"
